# NetApp End User License Agreement for harvest-asup sidecar binary

https://www.netapp.com/us/media/enduser-license-agreement-worldwide.pdf

## 1. Definitions

1.1 **Documentation** means technical documentation describing the features and
functions of the Software. 

1.2 **NetApp Cloud Provider** means a third party authorized by NetApp to offer
or enable the use of the Software as part of such provider’s cloud-based service

1.3 **NetApp Partner** means an authorized NetApp distributor, reseller or other
channel partner. 

1.4 **Open Source Software** means third party software that is openly and
freely licensed under the terms of a public license designated by the third
party.

1.5 **Software** means all NetApp-branded software in object code format
comprising backup and recovery, disaster recovery, storage efficiency and
management software, operating systems, protocols, utilities and storage
management tools. 
 
## 2. SCOPE

This end user license agreement (“EULA”) is between you (“You” or “Your”), and
NetApp, Inc. and (as applicable) its subsidiaries and affiliates (“NetApp”).
This EULA sets forth the terms under which NetApp licenses Software and
Documentation to You. In the absence of a more specific written agreement, this
EULA applies to Software and Documentation obtained by You directly from NetApp,
indirectly from a NetApp Partner or a NetApp Cloud Provider or made available to
you by NetApp at no charge. The types, quantities and other usage attributes
related to Your Software licenses are specified in other documents the
associated with Documentation, a NetApp quote or related document (for direct
transactions), or the corresponding documents from a NetApp Partner or NetApp
Cloud Provider (for indirect transactions). This EULA does not entitle You to
receive Software updates, upgrades, technical support or professional services,
which must be purchased separately unless otherwise provided at NetApp’s
discretion.

## 3. ACCEPTANCE

By clicking the “I ACCEPT” button when downloading or installing the Software,
or by copying, accessing or using the Software or Documentation, You agree that
this EULA exclusively governs NetApp’s the Software and to You and Your use of
Documentation unless You have a separate applicable written agreement with
NetApp. If You are accepting this EULA on behalf of another person, company or
other legal entity, whether as an employee, contractor, distributor, reseller,
partner, agent or otherwise, You represent and warrant that You have full
authority to bind them. If You do not agree to the terms of this EULA, do not
download, install, copy, access, or use the Software or Documentation, or click
the “I ACCEPT” button, and promptly return the Software and Documentation to the
party from whom it was obtained.

## 4. LICENSE GRANT 

NetApp grants to You a personal, nonexclusive, non-transferrable, worldwide,
limited and revocable license, without the right to sublicense, to i) install
and use the Software for Your internal business purposes, and ii) use the
Documentation in support of Your use of the Software. Your Software license is
either bundled with a specific storage controller identified by a unique serial
number (“Controller-based”) or is independent of a storage controller
(“Standalone”), and is one of the following license types: 

 a) **Life-of-controller**: Controller-based licenses granted for the period
 during which Your storage controller is operable;

 b) **Perpetual**: Standalone licenses granted in perpetuity;

 c) **Term**: Controller-based licenses or Standalone licenses granted for a
 fixed period; 
 
 d) **Capacity**: Controller-based licenses or Standalone licenses granted for a
 specified amount of raw storage capacity, number of hosts, or other measure of
 usage as specified in the Documentation. 
 
Each storage controller deployed in a cluster or a high-availability pair or
group must have the same Controller-based license as the other storage
controllers in that cluster, high-availability pair or group. Subject to
NetApp’s separate written agreement, and in the context of non-disruptive
operations within a cluster, You may deploy storage controllers with different
Controller-based licenses and failover from one storage controller to another
for the time required to remedy a failure, provided that all storage controllers
in the cluster have the same hardware and software support offerings in effect
at all times. Certain license types may require the enablement and use of
NetApp’s remote support diagnostics systems. 

## 5. LICENSE RESTRICTIONS

You must comply with the EULA terms at all times when using the Software and
Documentation. You will not, nor will You allow anyone else to: 

 a) use the Software in breach or excess of the types, quantities and other
 usage attributes related to Your Software licenses or other limitations
 prescribed by NetApp in this EULA; 
 
 b) reverse-engineer, decompile or disassemble the Software or otherwise reduce
 it to human-readable format except to the extent required for interoperability
 purposes under applicable laws or as expressly permitted in open-source
 licenses; 
 
 c) remove or conceal any product identification, proprietary, intellectual
 property or other notices in the Software or Documentation; 
 
 d) use the Software or Documentation to perform services for third parties in a
 service bureau, managed services, commercial hosting services or similar
 environment, unless i) the Software has been obtained from a NetApp Cloud
 Provider, ii) is used in conjunction with a NetApp Cloud Provider service, iii)
 or has been otherwise agreed in writing with NetApp; 
 
 e) assign or otherwise transfer, in whole or in part, the Software or
 Documentation licenses to another party or Controller-based licenses to a
 different storage controller, unless otherwise agreed in writing with NetApp; 
 
 f) install Controller-based licenses on or use them with third party hardware
 or any second-hand or grey market NetApp hardware not purchased by You from
 NetApp or a NetApp Partner; 
 
 g) modify, adapt or create a derivative work of the Software or Documentation;
 or 
 
 h) publish or provide any Software benchmark or comparison test results.

## 6. INTELLECTUAL PROPERTY RIGHTS

The Software and Documentation is licensed, not sold, to You. It is protected by
intellectual property laws and treaties worldwide, and contains trade secrets,
in which NetApp and its licensors reserve and retain all rights not expressly
granted to You. No right, title or interest to any trademark, service mark, logo
or trade name, of NetApp or its licensors is granted to You. 
 
## 7. WARRANTY

NetApp warrants that for a period of 90 days from the date of first delivery of
the Software to You or a NetApp Partner, whichever is the earlier, or such other
minimum periods under applicable laws (the “Software Warranty Period”), the
Software will materially conform to the then-current Documentation. NetApp does
not warrant that Your use of the Software will be error-free or uninterrupted.
If a material defect arises in the Software during the Software Warranty Period
and if the defect is reproducible and verifiable, NetApp will, at its sole
discretion and expense, repair or replace the defective Software or refund the
amounts received by NetApp for the Software. Software that is obtained for use
solely in conjunction with a NetApp Cloud Provider’s services is provided “AS
IS” and without a warranty of any kind. You assume all risks arising from Your
use of the Software together with a NetApp Cloud Provider’s offering. The
Software warranty will be voided if You or any third parties misuse, neglect,
attempt to repair or modify (unless authorized by NetApp), or use the Software
beyond the range of the intended use. TO THE EXTENT PERMITTED BY APPLICABLE
LAWS, THIS IS YOUR SOLE AND EXCLUSIVE WARRANTY AND REMEDY. NETAPP SPECIFICALLY
DISCLAIMS ALL IMPLIED INCLUDING THOSE OF MERCHANTABILITY, WARRANTIES, ACCEPTABLE
QUALITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. THE WARRANTY IN
THIS SECTION 7 WILL NOT APPLY IF NETAPP MAKES THE SOFTWARE GENERALLY AVAILABLE
AT NO COST.

## 8. LIMITATION OF LIABILITY

Regardless of the basis of the claim (e.g. contract, tort or statute), the total
liability of NetApp and its licensors, under or in connection with this EULA,
will not exceed the amounts actually received by NetApp for the Software or the
minimum amounts permitted by applicable laws, if greater. NetApp and its
licensors are not liable for: 

 a) any indirect, consequential, incidental, exemplary or special damages; 
 b) loss or corruption of data; 
 c) loss of revenues, profits, goodwill or anticipated savings; 
 d) procurement of substitute goods and/or services; 
 e) interruption to business; or 
 f) Your failure to comply with applicable “non-erasable” and “non-rewriteable” U.S. government regulations.
 
The limitations and exclusions above will not apply to liability for death or
bodily injury caused by negligence, gross negligence, willful misconduct, fraud
or any other liability that cannot be excluded under applicable laws. 
 
## 9. AUDIT

Upon reasonable notice, You grant NetApp and its independent accountants the
right to examine Your Software usage annually to verify compliance with this
EULA. If the audit discloses over-usage or any other material non-compliance,
then a) You will promptly pay to NetApp or to a NetApp Partner, as designated by
NetApp, any additional fees that NetApp or a NetApp Partner notifies You are
owed, and the reasonable costs of conducting the audit; and b) NetApp may
conduct subsequent audits, upon reasonable notice, as NetApp reasonably
determines is necessary to verify compliance with this EULA. 
 
## 10. TERMINATION

This EULA is effective until expiration or termination. You may terminate the
EULA at any time on written notice to NetApp. NetApp may terminate the EULA
immediately on written notice for material breach of the EULA. Any failure to
remit payments in relation to the Software and Documentation when due, whether
payable to NetApp or a NetApp Partner, constitutes a material breach of this
EULA. Upon expiration or termination of this EULA, You will promptly return or
destroy all copies of the Software and Documentation, including any license
enablement keys. Sections 1, 2, 5, 6, 7, 8, 9,10, 11, 12, 13, 14, and 15 survive
expiration or termination of this EULA. 
 
## 11. EXPORT CONTROLS

You acknowledge that the Software and Documentation supplied by NetApp under
this EULA is subject to export controls under the laws and regulations of the
United States, the European Union and other countries (as applicable), and the
Software may include technology controlled under export and import regulation,
including encryption technology. You agree to comply with such laws and
regulations and represent and warrant that You: 

a) will not, unless authorized by U.S. export licenses or other government
authorizations, directly or indirectly export or re-export the Software and
Documentation to or use the Software and Documentation in countries subject to
U.S. embargoes or trade sanctions programs; 

b) are not a party, nor will You export or re-export to a party, identified on
any applicable government export exclusion lists, including but not limited to
the U.S. Denied Persons, Entity, and Specially Designated Nationals Lists; 

c) will not use the Software and Documentation for any purposes prohibited by
U.S. law, including the development, design, manufacture or production of
nuclear, missile, chemical, or biological weaponry or other weapons of mass
destruction; and 

d) are responsible for compliance with all local encryption laws and
regulations, where applicable, and for obtaining any permits and laws and
regulations for your use of the Software. 

You agree to provide NetApp destination end use and end user information upon
NetApp’s request. You will obtain all required authorizations, permits, or
licenses to export, re-export or import, as required. You agree to obligate, by
contract or other similar assurances, the parties to whom You re-export or
otherwise transfer the Software to comply with all obligations set forth in this
Section 11. 
 
## 12. U.S. FEDERAL GOVERNMENT END USERS

This Section 12 applies to You only if You are a U.S. Federal Government end
user. The Software and Documentation is “commercial” computer software and
documentation and is licensed to You in accordance with the rights articulated
in applicable U.S. government acquisition regulations (e.g. FAR, DFARs)
pertaining to commercial computer software and documentation. You will not be
subject to applicable audit costs specified in Section 9. Any dispute between
You and NetApp will be subject to resolution pursuant to the Contract Disputes
Act of 1978. Nothing contained in this EULA is meant to derogate the rights of
the U.S. Department of Justice as identified in 28 U.S.C. §516. All other
provisions of this EULA remain in effect as written. 
 
## 13. EVALUATION OR PRE-RELEASE SOFTWARE

This Section 13 applies to You only if You are acquiring generally available
Software for the purposes of evaluation (“Evaluation Software”) or Software
identified by NetApp as alpha, beta, pre-release, specifically demonstration or
preview (“Pre-Release Software”). Unless otherwise agreed in writing by NetApp,
Evaluation Software or Pre-Release Software may be used a) for a period not
exceeding 90 days from the effective date of this EULA (“Evaluation Period”) and
b) up to the maximum amounts of raw storage capacity, number of hosts or other
measure of usage as specified in the Documentation. Unless otherwise agreed in
writing by NetApp, Evaluation Software or Pre-Release 

Software may only be used in non-production environments and not for commercial
purposes. You agree to delete or deinstall the Evaluation Software or
Pre-Release Software at the expiration of the Evaluation Period. For the
avoidance of doubt, Software is considered in use when installed or deployed
after expiry of the 90-day period regardless of whether or not the Evaluation
Software or Pre-Release Software is used in a production environment. You will
pay fees to NetApp, calculated in accordance with the applicable NetApp price
list, within 30 days of NetApp’s demand for use exceeding the limits above. You
agree to cooperate with NetApp in testing the Pre-Release Software and providing
feedback, to NetApp, which NetApp can use without restriction, concerning the
functionality and performance of the Pre-Release Software. (“Feedback”). You
acknowledge that the Pre-Release Software and Feedback are proprietary and
confidential information of NetApp (“Confidential Information”). You will not
make the Confidential Information available in any form to any person other than
to Your employees or consultants with a need to know and who are under an
obligation of confidentiality not to disclose such Confidential Information. You
will use the same degree of care to protect the confidentiality of such
Confidential Information as You use to protect Your own confidential
information. NOTWITHSTANDING SECTIONS 7 AND 8 ABOVE, THE EVALUATION SOFTWARE OR
PRE-RELEASE SOFTWARE IS IS” WITHOUT ANY WARRANTIES OR PROVIDED REPRESENTATIONS
EXPRESS, IMPLIED, OR STATUTORY, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF
QUALITY, PERFORMANCE, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE AND
NETAPP DISCLAIMS ALL LIABILITIES TO THE MAXIMUM EXTENT PERMITTED BY LAW. 
 
## 14. PERFORMANCE DATA

NetApp retains all right, title and interest in data and data elements collected
by the Software systems configuration which, as applicable, pertains to the
Software environment, the usage and performance of the Software, and the
components managed by the Software, as applicable (“Performance Data”). Without
limiting the “AS foregoing, NetApp may collect and use Performance Data to
provide and improve the Software and NetApp’s other products and services. 
 
## 15. GOVERNING LAW AND ENFORCEMENT RIGHTS

This EULA will be construed pursuant to the laws of i) the State of California,
United States, excluding its conflicts of law provisions, if You are in the
United States or in a country in which NetApp has no local sales subsidiary, or
ii) the country in which You are located if NetApp has a local sales subsidiary
in that country. NetApp reserves the right to control all aspects of any lawsuit
or claim that arises from Your use of the Software or Documentation. If required
by NetApp’s agreement with a third-party licensor, NetApp’s licensor will be a
direct and intended third party beneficiary of this EULA and may enforce it
directly against You. To the extent that Software may include or be distributed
with Open Source Software, the terms of the applicable license for the Open
Source Software supersede the terms set forth in this EULA. 
 
## 16. GENERAL

NetApp does not waive any of its rights under this EULA by failing to or
delaying the exercise of its rights or partially exercising its rights at any
time. To the extent that any Section of this EULA, or part thereof, is
determined to be invalid or unenforceable, the remainder of this EULA will
remain in full force and effect. This EULA may not be changed except by a
written amendment executed by an authorized representative of each party. In the
event of a conflict between the English and non-English version of the EULA
(where translated for local requirements), the English version of this EULA will
govern, to the extent permitted by applicable laws. This EULA represents the
entire agreement and understanding between NetApp and You with respect to the
Software and Documentation. It supersedes any previous communications,
representations or agreements between NetApp and You and prevails over any
conflicting or additional terms in any quote, purchase order, acknowledgment, or
similar communication between the parties.
